﻿.color-white {
    color: #ffffff !important;
}

/* 表格容器样式 */
.table-container {
    position: relative;
}

    /* 表格样式 */
    .table-container table {
        width: 100%;
    }

/* 固定表头样式 */
.fixed-header {
    position: fixed;
    top: 0;
    left: 30px;
    right: 0;
    z-index: 3000;
    background-color: #fff;
    display: none;
}

    /* 固定表头表格样式 */
    .fixed-header table {
        width: 100%;
        table-layout: fixed;
        margin-bottom: 0;
    }

    /* 固定表头单元格样式 */
    .fixed-header th {
        background-color: #fff;
        padding: 1.9rem 0.75rem;
        vertical-align: bottom;
        border-bottom: 2px solid #dee2e6;
    }
.navbar-nav > li > a {
    position: relative;
    line-height: 22px;
}
.navbar-nav > li > a:before {
    content: '';
    position: absolute;
    left: 0;
    width: 0;
    bottom: 0;
    height: 2px;
    background-color: var(--base-color);
    -webkit-transition: 0.5s ease;
    transition: 0.5s ease;
}

.navbar-nav > li > li.active > a, .navbar-nav > li > a:hover {
    color: var(--base-color) !important;
}

.navbar-nav > li.active > a:before, .navbar-nav > li > a:hover:before {
    width: 100%;
}

.heading__subtitle {
    font-size: 16px;
    font-weight: 700;
    color: #eb2b28;
    margin-bottom: 10px;
}

.heading__title {
    position: relative;
    font-size: 34px;
    margin-bottom: 20px;
    color:#333;
}

.heading__desc {
    font-size: 16px;
    margin-bottom: 0;
}

.heading__layout3 .heading__title {
    font-size: 28px !important;
}

.counter-item {
    margin-bottom: 20px;
}

    .counter-item .counter {
        color: var(--base-color);
        font-family: "Rubik", sans-serif;
        font-size: 60px;
        font-weight: 400;
        line-height: 1;
        margin-bottom: 10px;
    }

    .counter-item .counter__desc {
        color: #1b1a1a;
        font-size: 15px;
        font-weight: 700;
        margin-bottom: 20px;
    }

.counter-light .counter-item .counter,
.counter-light .counter-item .counter__desc {
    color: #ffffff;
}

.about-layout2 .about__img {
    margin-bottom: 60px;
}

    .about-layout2 .about__img img {
        border-radius: 10px;
    }

.feature-item .feature__title {
    font-size: 18px;
    margin-top:15px;
    -webkit-transition: all 0.3s linear;
    transition: all 0.3s linear;
    font-weight: bold;
    color: #333;
}

.feature-item .feature__desc {
    -webkit-transition: all 0.3s linear;
    transition: all 0.3s linear;
    font-size: 14px;
    color: #9f9f9f;
}

.feature-item.icon-item {
    padding-left: 40px;
}

.feature-item.icon-item .feature__desc {
    padding-left: 25px;
}

.feature-item.icon-item .fa-solid {
    color: var(--base-color);
}

.divider__line {
    position: relative;
    height: 2px;
}

    .divider__line:after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        height: 2px;
        width: 28px;
        background-color: #e7ebef;
    }

/* Navbar */
header.sticky nav.navbar.white-link .navbar-nav > li.active > a, header.sticky nav.navbar.bootsnav.white-link ul.nav > li.active > a {
    color: var(--base-color);
}

/*-----------------------
    Services 
--------------------------*/
.service-item {
    
    padding:0 30px;
}

    .service-item figure {
        position: relative;
        overflow: hidden;
        border-radius: 8px;
        background-color: #ffffff;
        -webkit-box-shadow: 0px 5px 83px 0px rgba(40, 40, 40, 0.11);
        box-shadow: 0px 5px 83px 0px rgba(40, 40, 40, 0.11);
        -webkit-transition: all 0.4s linear;
        transition: all 0.4s linear;
    }

    .service-item:after {
        content: '';
        position: absolute;
        bottom: 0;
        left: 35px;
        right: 35px;
        height: 3px;
        background-color: var(--base-color);
        opacity: 0;
        -webkit-transform: scale(0.5);
        transform: scale(0.5);
        -webkit-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }

    .service-item .service__title {
        position: relative;
        font-size: 21px;
        margin-bottom: 18px;
    }

    .service-item .service__desc {
        margin-bottom: 0;
    }

    .service-item .service__body {
        position: relative;
        z-index: 2;
        padding: 29px 35px 35px;
        color:#333;
    }

    .service-item:hover:after {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1);
    }

.services-layout2 .service-item .service__img {
    position: relative;
    overflow: hidden;
    max-height: 180px;
}

    .services-layout2 .service-item .service__img img {
        -webkit-transition: all 0.9s ease;
        transition: all 0.9s ease;
    }

    .services-layout2 .service-item .service__img:after {
        content: '';
        position: absolute;
        left: 0;
        right: 0;
        bottom: -1px;
        height: 40px;
        width: calc(100% + 10px);
        background-color: #ffffff;
        -webkit-clip-path: polygon(0 0, 0% 100%, 100% 100%);
        clip-path: polygon(0 0, 0% 100%, 100% 100%);
        -webkit-transition: all 0.4s ease;
        transition: all 0.4s ease;
    }

.services-layout2 .service-item:hover .service__img img {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}

.services-layout2 .service-item:hover .service__img:after {
    -webkit-clip-path: polygon(0 100%, 0 100%, 100% 100%);
    clip-path: polygon(0 100%, 0 100%, 100% 100%);
}

.service-item .service__body {
    position: relative;
    z-index: 2;
    padding: 29px 35px 35px;
}

.services-layout2 .service-item .service__body {
    padding: 18px 25px 25px;
}

.services-layout2 .swiper-navigation {
    position: absolute;
    right: 0;
    bottom: -30px;
    z-index:3000;
    display:flex;
    align-items:center;
}
    .services-layout2 .swiper-navigation .swiper-pagination-bullet-active {
        background-color: var(--base-color);
    }

    .services-layout2 .swiper-navigation .fa-solid {
        font-size:40px;
    }

/*----------------------------
    Contact
----------------------------*/
.contact-panel__title {
    font-size: 24px;
}

.contact-info-box {
    margin-bottom: 30px;
}

    .contact-info-box .contact__info-box-title {
        font-size: 17px;
        margin-bottom: 20px;
        color: #282828;
        text-transform: capitalize;
        font-weight: 500;
        line-height: 1.4;
    }

    .contact-info-box .contact__info-list {
        margin-bottom: 0;
    }

        .contact-info-box .contact__info-list li {
            font-size: 14px;
            line-height: 1.9;
        }

            .contact-info-box .contact__info-list li a {
                color: #9b9b9b;
            }
                .contact-info-box .contact__info-list li a:hover {
                    color: var(--base-color);
                }

.contact__number i {
    font-size: 17px;
    color: #4aab3d;
    margin-right: 10px;
}

.contact__number a {
    color: #282828;
    font-size: 22px;
    line-height: 1;
}

    .contact__number a:hover {
        color: var(--base-color) !important;
    }

.contact-panel {
    background-color: #ffffff;
    padding: 80px 80px 40px;
    border-radius: 15px;
    display: -ms-flexbox;
    display: -webkit-box;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    position: relative;
    z-index: 2;
}

    .contact-panel .contact__panel-info {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 32%;
        flex: 0 0 32%;
        max-width: 32%;
        padding-bottom: 40px;
        background-color: #F9F9F9;
        border-radius: 10px;
        padding: 50px;
    }

    .contact-panel .contact-info-box .contact__info-box-title {
        margin-bottom: 11px;
    }

    .contact-panel .contact__panel-form {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 68%;
        flex: 0 0 68%;
        max-width: 68%;
        padding-left: 50px;
    }

    .contact-panel .nice-select,
    .contact-panel .form-group {
        margin-bottom: 20px;
    }

    .contact-panel .contact__panel-title {
        font-size: 24px;
    }

    .contact-panel .contact__panel-desc {
        font-size: 15px;
    }

    .contact-panel .nice-select .list {
        width: 100%;
    }

    .contact-panel .contact-info-box {
        margin-bottom: 28px;
    }

.contact-layout1 .form-control {
    font-size: 14px;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #f4f4f4;
    background-color: transparent;
}

    .contact-layout1 .form-control:focus {
        background-color: transparent;
        border-color: var(--base-color) !important;
    }

.btn__secondary {
    background-color: var(--base-color);
    color: #ffffff;
}

    .btn__secondary:before {
        background-color: #4aab3d !important;
    }

    .btn__secondary .icon-arrow-right,
    .btn__secondary .icon-arrow-left {
        color: #1b1a1a;
        background-color: #ffffff;
    }

    .btn__secondary:hover {
        color: #ffffff;
    }

        .btn__secondary:hover .icon-arrow-right,
        .btn__secondary:hover .icon-arrow-left {
            color: #4aab3d;
        }

    .btn__secondary:active, .btn__secondary:focus {
        background-color: #1b1a1a;
        color: #ffffff;
    }

.testimonial-box {
    position: absolute;
}

    .testimonial-box:nth-of-type(1) {
        top: 18%;
        left: 5%;
    }

    .testimonial-box:nth-of-type(2) {
        top: 58%;
        left: 23%;
    }

    .testimonial-box:nth-of-type(3) {
        top: 50%;
        left: 46%;
    }

    .testimonial-box:nth-of-type(4) {
        top: 9%;
        left: 65%;
    }

    .testimonial-box:nth-of-type(5) {
        top: 45%;
        left: 67%;
    }

    .testimonial-box:nth-of-type(6) {
        top: 25%;
        left: 25%;
    }

    .testimonial-box:nth-of-type(7) {
        top: 25%;
        left: 45%;
    }

    .testimonial-box .testimonial__thumb {
        position: relative;
        bottom: 0;
        left: 0;
        -webkit-transition: all .3s linear 0ms;
        transition: all .3s linear 0ms;
        border: 2px solid #c1c9cd;
        width: 44px !important;
        height: 44px;
        padding: 4px;
        border-radius: 50%;
    }

        .testimonial-box .testimonial__thumb img {
            border-radius: 50%;
        }

        .testimonial-box .testimonial__thumb:hover {
            border-color: #4aab3d;
        }

            .testimonial-box .testimonial__thumb:hover .pulsing-animation {
                border: 1px solid rgba(71, 161, 69, 0.3);
                -webkit-animation: pulsing 2s linear 0s infinite running;
                animation: pulsing 2s linear 0s infinite running;
            }

                .testimonial-box .testimonial__thumb:hover .pulsing-animation.pulsing-animation-2 {
                    -webkit-animation-delay: 1.3s;
                    animation-delay: 1.3s;
                }

                .testimonial-box .testimonial__thumb:hover .pulsing-animation.pulsing-animation-3 {
                    -webkit-animation-delay: 2.5s;
                    animation-delay: 2.5s;
                }

    .testimonial-box .pulsing-animation {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 50%;
    }

    .testimonial-box .testimonial__panel {
        position: absolute;
        opacity: 0;
        bottom: 60px;
        left: 50%;
        z-index: 20;
        width: 330px;
        border-radius: 2px;
        visibility: hidden;
        margin-bottom: -20px;
        padding: 25px 23px 25px 30px;
        background-color: #ffffff;
        -webkit-transition: all .3s linear 0ms;
        transition: all .3s linear 0ms;
        -webkit-box-shadow: 0 5px 23px rgba(40, 40, 40, 0.08);
        box-shadow: 0 5px 23px rgba(40, 40, 40, 0.08);
    }

        .testimonial-box .testimonial__panel .testimonial__desc {
            font-size: 15px;
            font-weight: 700;
            color: #0e2b3d;
            margin-bottom: 0;
        }

        .testimonial-box .testimonial__panel:after {
            content: '';
            position: absolute;
            bottom: -10px;
            left: 0;
            border-bottom: 10px solid transparent;
            border-left: 12px solid #ffffff;
        }

    .testimonial-box.testimonial-hover-left .testimonial__panel {
        right: 50%;
        left: auto;
    }

        .testimonial-box.testimonial-hover-left .testimonial__panel:after {
            left: auto;
            right: 0;
            border-left: 0;
            border-right: 12px solid #ffffff;
        }

    .testimonial-box:hover .testimonial__panel {
        opacity: 1;
        visibility: visible;
        margin-bottom: 0;
    }

/*-----------------------
    Features
------------------------*/
.feature-item {
    position: relative;
    padding: 0 38px;
    border-radius: 6px;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

    .feature-item:before {
        content: '';
        position: absolute;
        top: 0;
        left: 38px;
        right: 38px;
        height: 3px;
        background-color: var(--base-color);
        -webkit-transform: scale(0);
        transform: scale(0);
        -webkit-transition: all 0.3s linear;
        transition: all 0.3s linear;
    }

    .feature-item .feature__icon {
        font-size: 60px;
        line-height: 1;
        color: var(--base-color);
        -webkit-transition: all 0.3s linear;
        transition: all 0.3s linear;
    }

    .feature-item .feature__title {
        font-size: 18px;
        -webkit-transition: all 0.3s linear;
        transition: all 0.3s linear;
    }

    .feature-item .feature__desc {
        -webkit-transition: all 0.3s linear;
        transition: all 0.3s linear;
    }

.box-shadow {
    box-shadow: 0 0 8px rgba(0, 0, 0, .2);
}

.footer-widget-area .text-deep-pink {color:#f9f9f9;}

.footer-info, .footer-info a {
    color: #f9f9f9 !important;
}

    .footer-info a:hover {
        color: var(--base-color) !important;
    }

@media (min-width: 1200px) {
    .testimonials-layout1 + .cta-layout1 {
        margin-top: -150px;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 1200px;
    }
}

@media (min-width: 992px) {
    .counter-item .counter__desc {
        padding-right: 65px;
    }

}

/* Mobile Phones and tablets */
@media (max-width: 991px) {
    .swiper .title-medium {
        font-size: 24px;
        line-height:32px;
    }
    .heading__title{line-height:46px;}
    .contact-panel {
        background-color: #fff;
        padding: 20px;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
    }

        .contact-panel:after {
            left: 20px;
            width: -o-calc(100% - 40px);
            width: calc(100% - 40px);
        }

        .contact-panel .contact__panel-info,
        .contact-panel .contact__panel-form {
            -webkit-box-flex: 0;
            -ms-flex: 0 0 100%;
            flex: 0 0 100%;
            max-width: 100%;
            padding-bottom: 20px;
            padding-left: 20px;
        }
        .contact-panel .contact__panel-form {
            margin-top: 40px;
        }

            .service-item .service__body {
                padding: 20px;
            }
}

@media (max-width: 375px) {

}

@media (min-width: 1300px) {
    .about-layout1 .heading-layout2 .heading__title {
        margin-left: -80px;
    }

    .about-layout1 .inner-wrapper {
        padding-right: 70px;
    }

    .about-layout1 .video-banner-layout2 {
        position: relative;
        margin-left: 0px;
    }

    .about-layout1 .about__text {
        margin-left: 50px;
    }
}